Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/39827/?format=api
{ "ob_id": 39827, "uuid": "2485214239134768820ffb50fb5513bc", "title": "HyperDrone Flight 20200929 - hyperspectral in situ radiometry and hyperspectral imagery at different altitudes for plastics detection", "abstract": "Airborne remote-sensed hyperspectral in-situ radiometry data and hyperspectral imagery collected by the NERC Field Spectroscopy Facility (FSF) Headwall Co-aligned VNIR and SWIR imager (450-2500 nm) with LiDAR instruments mounted on a drone platform. \r\nThese hyperspectral data collected over a sandy and rocky shore have associated uncertainty estimations that will be used to develop of radiometric proxies for plastics detection and assess future mission requirements. \r\nThis dataset was collected on 29th September 2020 at Tyninghame beach, East Lothian, Scotland using a range of different plastic targets.", "keywords": "UAS,UAV,drone,hyperspectral,in-situ,Plastic, macroplastic,detection", "publicationState": "citable", "dataPublishedTime": "2023-04-28T14:16:02", "doiPublishedTime": "2023-04-28T14:39:01", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/39869/?format=api", "dataPath": "/neodc/hyperdrone/data/2020/HyperDrone_20200929", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 179920642499, "numberOfFiles": 48, "fileFormat": "Envi Binary and BADC-CSV" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11018/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3781/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64170/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64171/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64172/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64173/?format=api" ], "dataLineage": "The following sensors were loaned from NERC Field Spectroscopy Facility and used in the HyperDrone project:\r\n• The HR-1024i hyperspectral spectrometer from the Spectra Vista Corp. (SVC) covering the range 350-2500 nm.\r\n• The hyperspectral Headwall co-aligned imager (pushbroom) covering the VNIR and SWIR\r\nregion (450-2500 nm) mounted on a DJI M600 drone platform. This sensor is a instrument able to collect LiDAR data at the same time for direct geo-rectification via the manufacturer software.\r\n\r\nA ReadMe file is included in this project that explains in detail the dataset collected in this project and the processing stages.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12471/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/39820/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/39941/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/194371/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193954/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193955/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193956/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193957/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193958/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193959/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193953/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193960/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/39828/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }